
dcl_settings : default_dcl_settings { audit_level = 1; }

dutton :button{
    fixed_width = true;
    width = 12;
}

imaged_block : image_button {
        key = "dsply";
        fixed_height = true;
        fixed_width = true;
        height = 25;
        width = 52;
        color = -2;
}

ok_help : column {
    fixed_width = true;
    alignment = centered;
    : row {
      : ok_button {
          is_cancel = true;
      }
      : dutton {
          label    = "HELP";
          key      = "hlp";
      }
    }
}

tekmenu : dialog {
    label = "TEK222: Oscilloscope Interface Menu";
    
    : cluster {
    alignment = centered;
        : dutton {
          label    = "Front Panel";
          key      = "fp";
        }

        : dutton {
          label    = "ONLINE";
          key      = "on";
        }

        : dutton {
          label    = "WaveForm";
          key      = "wf";
        }
        }
        spacer;
        ok_only;
        errtile;
}


tekwf : dialog {
    label = "TEK222: Scope WAVEFORM Interface";
    :cluster {

    imaged_block;
    : column {

          : popup_list {
            key      = "wf";
          }

        : dutton {
          label    = "UPLOAD";
          key      = "upld";
        }

        : dutton {
          label    = "OPEN";
          key      = "opn";
        }

        : dutton {
          label    = "SAVE";
          key      = "sv";
        }
        
        : dutton {
          label    = "EXPORT";
          key      = "todwg";
        }


    }
    }
    spacer;
    ok_help;
    errtile;

}

tekon : dialog {
    label = "TEK222: Scope ONLINE Interface";
    : cluster {
    : plain_cluster {
        layout = vertical;
    
    : boxed_row {
        label = "Channel 1 Position";
        : column {
            fixed_width = true;
            : slider {
                key = "dac07";
                min_value = 0;
                max_value = 8191;
                width = 25;
                height = 1;
                small_increment = 1;
                big_increment = 512;
                fixed_width = true;
                fixed_height = true;
            }
        }
        
        spacer_0;

        : edit_box {
            edit_width = 4;
            edit_limit = 4;
            key = "d07";
        }
    }
    
    : boxed_row {
        label = "Channel 1 Variable Gain";
        : column {
            fixed_width = true;
            : slider {
                key = "dac05";
                min_value = 0;
                max_value = 1023;
                width = 25;
                height = 1;
                small_increment = 1;
                big_increment = 64;
                fixed_width = true;
                fixed_height = true;
            }
        }
        
        spacer_0;

        : edit_box {
            edit_width = 4;
            edit_limit = 4;
            key = "d05";
        }

    }
    
    : boxed_row {
        label = "Channel 1 Trigger Level";
        : column {
            fixed_width = true;
            : slider {
                key = "dac01";
                min_value = 0;
                max_value = 8191;
                width = 25;
                height = 1;
                small_increment = 1;
                big_increment = 512;
                fixed_width = true;
                fixed_height = true;
            }
        }
        
        spacer_0;

        : edit_box {
            edit_width = 4;
            edit_limit = 4;
            key = "d01";
        }

    }

    : boxed_row {
        label = "External Trigger Level";
        : column {
            fixed_width = true;
            : slider {
                key = "dac03";
                min_value = 0;
                max_value = 8191;
                width = 25;
                height = 1;
                small_increment = 1;
                big_increment = 512;
                fixed_width = true;
                fixed_height = true;
            }
        }
        
        spacer_0;

        : edit_box {
            edit_width = 4;
            edit_limit = 4;
            key = "d03";
        }
    }
    }/*cluster1*/

    : plain_cluster {
        layout = vertical;
    
    : boxed_row {
        label = "Channel 2 Position";
        : column {
            fixed_width = true;
            : slider {
                key = "dac06";
                min_value = 0;
                max_value = 8191;
                width = 25;
                height = 1;
                small_increment = 1;
                big_increment = 512;
                fixed_width = true;
                fixed_height = true;
            }
        }
        
        spacer_0;

        : edit_box {
            edit_width = 4;
            edit_limit = 4;
            key = "d06";
        }

    }

    : boxed_row {
        label = "Channel 2 Variable Gain";
        : column {
            fixed_width = true;
            : slider {
                key = "dac04";
                min_value = 0;
                max_value = 1023;
                width = 25;
                height = 1;
                small_increment = 1;
                big_increment = 64;
                fixed_width = true;
                fixed_height = true;
            }
        }
        
        spacer_0;

        : edit_box {
            edit_width = 4;
            edit_limit = 4;
            key = "d04";
        }

    }

    : boxed_row {
        label = "Channel 2 Trigger Level";
        : column {
            fixed_width = true;
            : slider {
                key = "dac02";
                min_value = 0;
                max_value = 8191;
                width = 25;
                height = 1;
                small_increment = 1;
                big_increment = 512;
                fixed_width = true;
                fixed_height = true;
            }
        }
        
        spacer_0;

        : edit_box {
            edit_width = 4;
            edit_limit = 4;
            key = "d02";
        }

    }
    : boxed_row {
        label = "Horizontal Position";
        : column {
            fixed_width = true;
            : slider {
                key = "dac00";
                min_value = 0;
                max_value = 8191;
                width = 25;
                height = 1;
                small_increment = 1;
                big_increment = 512;
                fixed_width = true;
                fixed_height = true;
            }
        }
        
        spacer_0;

        : edit_box {
            edit_width = 4;
            edit_limit = 4;
            key = "d00";
        }

    }

    }/*cluster2*/

    }/* Major Cluster */

    : cluster {
    layout = vertical;
    : plain_cluster {
    layout = horizontal;
    : dutton {
      label    = "CLEAR";
      key      = "but1";
    }
    : dutton {
      label    = "AUTO LVL";
      key      = "but22";
    }
    : dutton {
      label    = "SAVE WF";
      key      = "but19";
    }
    : dutton {
      label    = "CHNL 1";
      key      = "butd";
    }
    : dutton {
      label    = "DISP MENU";
      key      = "but14";
    }
    }/*cluster3*/
    
    : plain_cluster {
    layout = horizontal;
    : dutton {
      label    = "MENU 0";
      key      = "but2";
    }
    : dutton {
      label    = "TRG POS";
      key      = "but12";
    }
    : dutton {
      label    = "RECALL WF";
      key      = "but1a";
    }
    : dutton {
      label    = "CHNL 2";
      key      = "butc";
    }
    : dutton {
      label    = "AUX MENU";
      key      = "but13";
    }
    }/*cluster4*/
                  
    : plain_cluster {
    layout = horizontal;
    : dutton {
      label    = "MENU 1";
      key      = "but3";
    }
    : dutton {
      label    = "TRG MODE";
      key      = "buta";
    }
    : dutton {
      label    = "STORE MODE";
      key      = "but1b";
    }                         
    : dutton {
      label    = "VAR GAIN";
      key      = "but21";
    }
    : dutton {
      label    = "FPS MENU";
      key      = "but11";
    }
    }/*cluster5*/

    : plain_cluster {
    layout = horizontal;
    : dutton {
      label    = "MENU 2";
      key      = "but4";
    }
    : dutton {
      label    = "TRG SLOPE";
      key      = "butb";
    }
    : dutton {
      label    = "AUTO SETUP";
      key      = "bute";
    }
    : dutton {
      label    = "X10 MAG";
      key      = "but20";
    }
    : dutton {
      label    = "ACQ MENU";
      key      = "but1c";
    }
    }/*cluster6*/

    : plain_cluster {
    layout = horizontal;
    : dutton {
      label    = "MENU 3";
      key      = "but5";
    }
    : dutton {
      label    = "TRG SOURCE";
      key      = "but9";
    }
    : dutton {
      label    = "OFF";
      key      = "but6";
    }
    : dutton {
      label    = " ";
      key      = "butx";
    }
    : dutton {
      label    = " ";
      key      = "buty";
    }
    }/*cluster7*/

    }/*main cluster*/
    
    spacer;
    ok_help;
    errtile;
    
}


tekfp : dialog {
    label = "TEK222: Front Panel Interface";
    : cluster {
      : popup_list {
        label    = "FRONT PANEL:"; 
        key      = "fpsl";
        edit_width = 30;
      }
      : toggle {
        label    = "ONLINE";
        key      = "onln";
      }
    }
    : cluster { //Major Cluster
      : cluster { //Column 1 Cluster
        layout = vertical;
        : plain_cluster {
          layout = vertical;
          : boxed_column {
            label = "Channel 1";
            layout = vertical;
            : radio_row {
              label = "Coupling:";            
              : radio_button {
                label    = "DC";
                key      = "dc1";
                value    = "1";
              }
              : radio_button {
                label    = "AC";
                key      = "ac1";
              }
              : radio_button {
                label    = "GND";
                key      = "gnd1";
              }
              : radio_button {
                label    = "OFF";
                key      = "off1";
              }
            }  //Radio_Row
            spacer;
            : popup_list {
              label    = "Volts/Div:"; 
              key      = "vd1";
            }
            : column {
              : toggle {
                label    = "Inverse ";
                key      = "ch1i";
              }
              : toggle {
                label    = "Variable";
                key      = "ch1v";
              }
            }//Column
          }//Boxed_Column

          spacer;

          : boxed_column {
            label = "Channel 2";
            layout = vertical;
            : radio_row {
              label = "Coupling:";
              : radio_button {
                label    = "DC";
                key      = "dc2";
                value    = "1";
              }
              : radio_button {
                label    = "AC";
                key      = "ac2";
              }
              : radio_button {
                label    = "GND";
                key      = "gnd2";
              }
              : radio_button {
                label    = "OFF";
                key      = "off2";
              }
            } //Radio_Row
            spacer;
            : popup_list {
              label    = "Volts/Div:"; 
              key      = "vd2";
            }
            : toggle {
              label    = "Inverse";
              key      = "ch2i";
            }
            : toggle {
              label    = "Variable";
              key      = "ch2v";
            }
          } //Boxed_Column
        } //Plain_Cluster
      } //Column 1 Cluster
      
      : cluster { //Center Space
        layout = vertical;
        width = 2;
        : plain_cluster {
        }
      }
    
      : cluster { //Column 2 Cluster
        layout = vertical;
        : plain_cluster {
          layout = vertical; 
          : cluster {
            layout = vertical;
            : text {
              label = "Horizontal:";
            }
            : popup_list {
              label    = "Sec/Div:  "; 
              key      = "sd";
              width = 24;
              fixed_width = true;
            }
          } 
          spacer;
          spacer;
          : row {
            : toggle {
               label    = "Read Out OFF";
               key      = "ro";
            }
            : toggle {
              label    = "XY Mode";
              key      = "xy";
            }
          } 
          : row {
            : toggle {
              label    = "X10 Magnification ";
              key      = "x10";
            }
            : toggle {
              label    = "Trigger Slope";
              key      = "ts";
            }
          }
          : row {
            : toggle {
              label    = "Store Mode       ";
              key      = "smd";
            }
            : toggle {
              label    = "Auto Trigger";
              key      = "atrg";
            }
          }

          
          spacer ;
          spacer ;
          : boxed_radio_row {
            label = "Trigger Position";
            : radio_button {
              label    = "POST";
              key      = "post";
              value    = "1";
            }
            : radio_button {
              label    = "MID";
              key      = "mid";
            }
            : radio_button {
              label    = "PRE";
              key      = "pre";
            }
          } //Radio_Row
          spacer ;
          spacer ;
          : boxed_radio_row {
            label = "Trigger Source";
            : radio_button {
              label    = "VERT";
              key      = "vert";
              value    = "1";
            }
            : radio_button {
              label    = "CH1";
              key      = "ch1";
            }
            : radio_button {
              label    = "CH2";
              key      = "ch2";
            }
            : radio_button {
              label    = "EXT";
              key      = "ext";
            }
          } //Radio_Row
          spacer ;
          spacer ;
          : boxed_radio_row {
            label = "Trigger Mode";
            : radio_button {
              label    = "NORM";
              key      = "norm";
              value    = "1";
            }
            : radio_button {
              label    = "AUTOLVL";
              key      = "alvl";
            }
            : radio_button {
              label    = "AUTOBL";
              key      = "abl";
            }
            : radio_button {
              label    = "SSEQ";
              key      = "ss";
            }
          } //Radio_Row
          spacer;
          spacer ;
          : boxed_radio_row {
            label = "Acquisition Mode";
            : radio_button {
              label    = "NORM";
              key      = "norma";
              value    = "1";
            }
            : radio_button {
              label    = "ENV";
              key      = "env";
            }
            : radio_button {
              label    = "AVG";
              key      = "avg";
            }
            : radio_button {
              label    = "C_ENV";
              key      = "cenv";
            }
          } //Radio_Row


        } //Plain Cluster
      } //Column 2 Cluster
    } //Major CLuster
    spacer;
    : row {
    : dutton {
      label    = "UPLOAD";
      key      = "upld";
    }

    : dutton {
      label    = "DOWNLOAD";
      key      = "dnld";
    }

    : dutton {
      label    = "OPEN";
      key      = "opn";
    }

    : dutton {
      label    = "SAVE";
      key      = "sv";
    }
    }
    spacer;
    ok_help;
    errtile;
}
