;
; TEK  Dialog Box Driver Program
;
;
; TEK uses the file TEK.DCL as the DCL (Dialog Control Language) file.
; LISP functions are associated with dialog tiles (buttons, edit boxes,
;   etc) with the "action_tile" statements.  These actions are evaluated 
;   when the user presses buttons during the start_dialog function.
;
; Special tile names (keys): 
;   "accept" - Ok button
;   "cancel" - Cancel button
;
;   Date: 4-25-94

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; TEK -- AutoCAD Dialog Menu.  Call AutoCAD ADS Functions 
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(setq tek_pos '(-1 -1))

(defun c:tek ()
  ;load DCL file
  (setq di_dcl_id (load_dialog "tek.dcl"))
  (if (< di_dcl_id 0) (exit))

  ; display dialog
  (if (not (new_dialog "tekmenu" di_dcl_id "" tek_pos)) (exit))

  ; Define the action to take when the user presses OK, which
  ;   is to call the LISP function "tek_ok".  If the user
  ;   terminates the dialog with CANCEL, no action will be taken.
  ;   "accept" is the key name of the OK button (tile).

  (action_tile "accept" "(tek_ok)")
  (action_tile "fp" "(tek_fp)")
  (action_tile "on" "(tek_on)")
  (action_tile "wf" "(tek_wf)")


  (setq what_next (start_dialog))  ;returns after OK or CANCEL selected
  
  (cond 
	(( = what_next 3)
	
		(xload "tekwf")
		(c:tekwf)
		(xunload "tekwf")
		(c:tek)
	)
  )

  (unload_dialog di_dcl_id) ;free DCL from memory
)

;If the user selects OK, this function will be called to update
;  data, etc.

(defun tek_ok ()
  
  ;return 1 to start_dialog (Ok).  "tek_pos" contains the position
  ;  of the dialog.  Next call will use that position.

  (setq tek_pos (done_dialog 1)) 
)

(defun tek_fp ()
	(xload "tekfp")
	(c:tekfp)
	(xunload "tekfp")
)

(defun tek_on ()
	(xload "tekon")
	(c:tekon)
	(xunload "tekon")
)

(defun tek_wf ()

	(setq tek_pos (done_dialog 3)) 

)

